# Uses of Class
it.tdlight.jni.TdApi.Story

## Uses of TdApi.Story in it.tdlight.jni

Fields in it.tdlight.jni declared as TdApi.Story
Modifier and Type
Field
Description
`TdApi.Story[]`
TdApi.Stories.`stories`
The list of stories.
`TdApi.Story`
TdApi.PublicForwardStory.`story`
Information about the story.
`TdApi.Story`
TdApi.StoryInteractionTypeRepost.`story`
The reposted story.
`TdApi.Story`
TdApi.UpdateStory.`story`
The new information about the story.
`TdApi.Story`
TdApi.UpdateStorySendFailed.`story`
The failed to send story.
`TdApi.Story`
TdApi.UpdateStorySendSucceeded.`story`
The sent story.
Constructors in it.tdlight.jni with parameters of type TdApi.Story
Modifier
Constructor
Description
``
`PublicForwardStory(TdApi.Story story)`
Contains a public repost to a story.
``
`Stories(int totalCount, TdApi.Story[] stories)`
Represents a list of stories.
``
`StoryInteractionTypeRepost(TdApi.Story story)`
A repost of the story as a story.
``
`UpdateStory(TdApi.Story story)`
A story was changed.
``
`UpdateStorySendFailed(TdApi.Story story, TdApi.Error error, TdApi.CanSendStoryResult errorType)`
A story failed to send.
``
`UpdateStorySendSucceeded(TdApi.Story story, int oldStoryId)`
A story has been successfully sent.